#!/bin/bash

if test ! -n "$1"
then echo usage: $(basename $0) '<userlistfile>'
	exit 1
fi

USERFILE=$1

if test ! -f $USERFILE
then echo file $USERFILE is not a regular file or does not exist
	exit 2
fi

for USER in $(cat $USERFILE)
do PASS=$(./randstr_mac 1 0 1 8)
	dscl . -passwd /Users/$USER $PASS &&
		echo user $USER, pass $PASS ||
		 echo could not change passwd for user $USER
done

exit 0
